Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back to <|ben> does not restore outline view

From: Robert Weiner <[email-masked]>
Date: Sat, 1 Jun 2019 13:07:36 -0400

I see the lowercase L now.  I think a, show all, overriding other specs is the right behavior unless we decide to have viewspecs applied left to right without priority.  But I have seen 2 cases today that seem to need fixing, the one you pointed out and one involving a.

-- Bob

> On Jun 1, 2019, at 12:24 PM, Bodertz <[email-masked]> wrote:
> 
>> On 6/1/19 6:21 AM, Robert Weiner wrote:
>> Looks like a bug in the Koutliner, in that any clipped cells are not expanded. Use {C-c C-a} to show the whole outline for now and we will look at resolving it.
>> 
>> Note that the pipe character (|) is only used in klinks and not when interactively prompted for a viewspec with {C-c C-v}, though it doesn't hurt anything to type it there.  At most, you only ever use one pipe character.  Maybe instead of <|ben|1> you mean <|benc1> which clips the outline to 1 line per cell?
>> 
> Thank you.
> 
> That second pipe is a lowercase L(hide cells at levels deeper than N). The issue also appears with 'c', but I don't think any others. Adding 'a' (show all cell levels and all lines in cells) takes precedence over both of them, and will show all cell levels and lines no matter what else is in the view spec.
>